<?php
namespace Ak\Wp;

use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'wp.plugin_loader' => Plugin\PluginLoader::class,
            'wp.plugins'       => Plugin\PluginManager::class,
            'wp.shortcode_loader' => Shortcode\ShortcodeLoader::class,
            'wp.translation_loader' => Core\TranslationLoader::class,
        ],

        'factories' => [
            Plugin\PluginLoader::class  => Plugin\PluginLoaderFactory::class,
            Plugin\PluginManager::class => PluginManagerAbstractFactory::class,
            Core\TranslationLoader::class => Core\TranslationLoaderFactory::class,
            Shortcode\ShortcodeLoader::class => Shortcode\ShortcodeLoaderFactory::class,
            Shortcode\ShortcodePluginManager::class => PluginManagerAbstractFactory::class,
        ],
    ],
];