<?php
namespace Ak\Wp\Shortcode;

use Laminas\ServiceManager\AbstractPluginManager;

/**
 * Brine se o instancama WordPress shortcodeova.
 *
 * @package Ak\Wp\Shortcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-shortcode
 */
final class ShortcodePluginManager extends AbstractPluginManager
{
    const CONFIG_KEY = 'wp_shortcodes';

    /** @var string */
    protected $instanceOf = ShortcodeInterface::class;
}
