<?php
namespace Ak\Wp\Plugin;

/**
 * Class WpAdmin
 *
 * @package Ak\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp
 */
final class WpAdmin implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('admin_print_footer_scripts', [$this, 'admin_print_footer_scripts']);
    }

    /**
     * Ispisuje skripte u adminu.
     */
    public function admin_print_footer_scripts()
    {
        ?>
        <script type="text/javascript">
            (function() {
                if (typeof wp === 'object' && typeof wp.editor === 'object')  {
                    wp.editor.autop = function (text) { return text; };
                    wp.editor.removep = function (text) { return text; };
                }
            })();
        </script>
        <?php
    }
}